# -*- coding: utf-8 -*-
###########################################################################
# Eole NG - 2007  
# Copyright Pole de Competence Eole  (Ministere Education - Academie Dijon)
# Licence CeCill  cf /root/LicenceEole.txt
# eole@ac-dijon.fr 
#  
# Test du module de gestion des groupe de machine
#  
###########################################################################
""" teste group_manager.py """
import autopath
from ead2.backend.actions.lib.ipset import group_manager as g

def setup_module(module):
    g.group_file = "/usr/share/ead2/backend/actions/lib/ipset/tests/datas/group.txt"
    a = file(g.group_file, 'w')
    a.write('')
    a.close()

def test_group_create():
    """ teste la création de groupe """
    name ='groupe_test'
    ip_from = '10.121.11.1'
    ip_to = '10.121.11.10'
    g.create_group(name, ip_from, ip_to)
    assert g.get_all_groups() == [{'name':name, 'ip_from':ip_from, 'ip_to':ip_to, 'active':'0', 'time':'0'}]
    assert g.get_group(name) == {'name':name, 'ip_from':ip_from, 'ip_to':ip_to, 'active':'0', 'time':'0'}

def test_group_delete():
    """ teste la suppression de groupe """
    name ='groupe_test'
    if not g.is_group(name):
        ip_from = '10.121.11.1'
        ip_to = '10.121.11.10'
        g.create_group(name, ip_from, ip_to)
    g.del_only_group(name)
    assert g.get_all_groups() == []

def test_active_group():
    """ teste l'activation/desactivation d'un groupe et de ses horaires"""
    name ='groupe_test'
    if not g.is_group(name):
        ip_from = '10.121.11.1'
        ip_to = '10.121.11.10'
        g.create_group(name, ip_from, ip_to)
    g.active(name)
    assert g.get_all_groups() == [{'name':name, 'ip_from':ip_from, 'ip_to':ip_to, 'active':'1', 'time':'0'}]
    g.unactive(name)
    assert g.get_all_groups() == [{'name':name, 'ip_from':ip_from, 'ip_to':ip_to, 'active':'0', 'time':'0'}]
    g.active_time(name)
    assert g.get_all_groups() == [{'name':name, 'ip_from':ip_from, 'ip_to':ip_to, 'active':'0', 'time':'1'}]
    g.unactive_time(name)
    assert g.get_all_groups() == [{'name':name, 'ip_from':ip_from, 'ip_to':ip_to, 'active':'0', 'time':'0'}]

def teardown_module(module):
    pass
